## g2 0.23

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#
#
# Makefile for g2 library
#
#

#
# g2 installation directories
#
LIBDIR = /usr/lib
INCDIR = /usr/include

#LIBDIR = $(HOME)/local/lib
#INCDIR = $(HOME)/local/include

#
#------------------------ do not edit ------------------------
#
SHELL = /bin/sh

CC           = gcc
CFLAGS       = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I./src  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
INSTALL      = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
FIND         = find
MAKEDEPEND   = makedepend
AR           = ar
ARFLAGS      = -rs

BASE_DIR = ./src
BASE_SRC = $(BASE_DIR)/g2_device.c     $(BASE_DIR)/g2_ui_control.c \
           $(BASE_DIR)/g2_util.c       $(BASE_DIR)/g2_fif.c \
           $(BASE_DIR)/g2_ui_device.c  $(BASE_DIR)/g2_virtual_device.c \
           $(BASE_DIR)/g2_graphic_pd.c $(BASE_DIR)/g2_physical_device.c \
           $(BASE_DIR)/g2_ui_graphic.c $(BASE_DIR)/g2_ui_virtual_device.c
BASE_INS = $(BASE_DIR)/g2.h


PS_DIR = ./src/PS
PS_SRC = $(PS_DIR)/g2_PS.c
PS_INS = $(PS_DIR)/g2_PS.h


X11_DIR = ./src/X11
X11_SRC = $(X11_DIR)/g2_X11.c
X11_INS = $(X11_DIR)/g2_X11.h


GIF_DIR = ./src/GIF
GIF_SRC = $(GIF_DIR)/g2_GIF.c
GIF_INS = $(GIF_DIR)/g2_GIF.h


SRC = $(BASE_SRC) $(PS_SRC) $(X11_SRC) $(GIF_SRC)
OBJ = $(SRC:.c=.o)

INS =  $(BASE_INS) $(PS_INS) $(X11_INS) $(GIF_INS)

.c.o:  
	$(CC) $(CFLAGS) -c $< -o $@



libg2.a: $(OBJ)
	$(AR) $(ARFLAGS) libg2.a $(OBJ)


install: libg2.a
	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
	test -d $(INCDIR) || mkdir -p $(INCDIR)
	$(INSTALL_DATA) libg2.a $(LIBDIR)
	for IFILE in $(INS); do \
		$(INSTALL_DATA) $$IFILE  $(INCDIR); \
	done

clean:
	-(cd ./demo ; make clean)
	-rm $(OBJ) libg2.a config.cache config.log Makefile.bak config.status
	-$(FIND) . -name "*~" -exec rm {} \;


demo:	libg2.a
	(cd ./demo ; make)


depend:
	$(MAKEDEPEND) -- $(CFLAGS) -- $(SRC)
	@echo
	@echo "Run 'make' to build g2 library."
	@echo


# DO NOT DELETE THIS LINE -- make  depend  depends  on it.
