=== demo/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#
# Makefile for g2_library (demo)
#
#


CC = gcc

CFLAGS = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I../src -I../src/X11 -I../src/PS -I../src/GIF  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd

DEMO_PS = simple_PS
DEMO_X11 = simple_X11
DEMO_GIF = simple_GIF

DEMO = g2_test $(DEMO_PS) $(DEMO_X11) $(DEMO_GIF)

all:	$(DEMO)

demo:	$(DEMO)


g2_test:  g2_test.c
	$(CC) $(CFLAGS) g2_test.c $(LDFLAGS) -o $@

simple_PS:  simple_PS.c
	$(CC) $(CFLAGS) simple_PS.c $(LDFLAGS) -o $@

simple_X11:  simple_X11.c
	$(CC) $(CFLAGS) simple_X11.c $(LDFLAGS) -o $@

simple_GIF:  simple_GIF.c
	$(CC) $(CFLAGS) simple_GIF.c $(LDFLAGS) -o $@



demo_f: demo_f.f
	f77 -i8 demo_f.f $(LDFLAGS) -o $@


clean:
	-rm $(DEMO) demo_f *~ core *.ps *.gif
