## g2 0.40

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 #
 # g2 installation directories
 #
-LIBDIR = /usr/lib
-INCDIR = /usr/include
+LIBDIR = /usr/local/lib
+INCDIR = /usr/local/include
 
 #LIBDIR = $(HOME)/local/lib
 #INCDIR = $(HOME)/local/include
@@ -20,7 +20,7 @@
 SHELL = /bin/sh
 
 CC           = gcc
-CFLAGS       = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I./src  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 INSTALL      = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 FIND         = find
@@ -29,11 +29,12 @@
 ARFLAGS      = -rs
 
 BASE_DIR = ./src
-BASE_SRC = $(BASE_DIR)/g2_device.c     $(BASE_DIR)/g2_ui_control.c \
-           $(BASE_DIR)/g2_util.c       $(BASE_DIR)/g2_fif.c \
-           $(BASE_DIR)/g2_ui_device.c  $(BASE_DIR)/g2_virtual_device.c \
-           $(BASE_DIR)/g2_graphic_pd.c $(BASE_DIR)/g2_physical_device.c \
-           $(BASE_DIR)/g2_ui_graphic.c $(BASE_DIR)/g2_ui_virtual_device.c
+BASE_SRC = $(BASE_DIR)/g2_device.c         $(BASE_DIR)/g2_ui_control.c \
+           $(BASE_DIR)/g2_util.c           $(BASE_DIR)/g2_fif.c \
+           $(BASE_DIR)/g2_virtual_device.c $(BASE_DIR)/g2_physical_device.c \
+           $(BASE_DIR)/g2_graphic_pd.c     $(BASE_DIR)/g2_control_pd.c \
+           $(BASE_DIR)/g2_ui_graphic.c     $(BASE_DIR)/g2_ui_virtual_device.c \
+           $(BASE_DIR)/g2_ui_device.c
 BASE_INS = $(BASE_DIR)/g2.h
 
 
@@ -61,10 +62,18 @@
 	$(CC) $(CFLAGS) -c $< -o $@
 
 
+all: libg2.a
+	cp $(INS) ./include/
+
+shared: libg2.so
+	@echo
 
 libg2.a: $(OBJ)
 	$(AR) $(ARFLAGS) libg2.a $(OBJ)
+	ln -s libg2.a libg2.0.40.a
 
+libg2.so: $(OBJ)
+	$(CC) -shared -o libg2.so $(OBJ) -lc -lm
 
 install: libg2.a
 	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
@@ -76,13 +85,16 @@
 
 clean:
 	-(cd ./demo ; make clean)
-	-rm $(OBJ) libg2.a config.cache config.log Makefile.bak config.status
-	-$(FIND) . -name "*~" -exec rm {} \;
-
+	-rm -f $(OBJ)
+	-rm -f libg2.a config.cache config.log Makefile.bak config.status
+	-rm -f ./include/*.h
+	-$(FIND) . -name "*~" -exec rm -f {} \;
+	-(cd ./g2_perl ; make clean)
+	-rm -f ./g2_perl/test.ps ./g2_perl/test.gif
+	-rm -f ./libg2.0.40.a
 
 demo:	libg2.a
 	(cd ./demo ; make)
-
 
 depend:
 	$(MAKEDEPEND) -- $(CFLAGS) -- $(SRC)
