=== demo/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 CC = gcc
 
-CFLAGS = -g -O2  -I/usr/X11R6/include -I/usr/local/include -I../src -I../src/X11 -I../src/PS -I../src/GIF  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GIF -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd
 
 DEMO_PS = simple_PS
