=== debian/changelog ===
g2 (0.51-1) unstable; urgency=low

  * New upstream version
  * Updated package descriptions  (Closes: #209741, #209898)

 -- Eric Cain <ecain@debian.org>  Wed, 31 Mar 2004 17:34:38 -0800

g2 (0.49a-6) unstable; urgency=low

  * Split the Perl module into its own package 

 -- Eric Cain <ecain@debian.org>  Wed, 14 May 2003 23:08:46 -0700

g2 (0.49a-5) unstable; urgency=low

  * Perl shared lib is now "-fPIC"  Closes: Bug#192392
  * Perl module really is fixed now...really it is

 -- Eric Cain <ecain@debian.org>  Fri,  9 May 2003 15:15:15 -0700

g2 (0.49a-4) unstable; urgency=low

  * Submitted bad makefile with Perl module.  Closes: Bug#192350

 -- Eric Cain <ecain@debian.org>  Wed,  7 May 2003 17:14:49 -0700

g2 (0.49a-3) unstable; urgency=low

  * Fixed Perl support  Closes: Bug#188119

 -- Eric Cain <ecain@debian.org>  Wed,  7 May 2003 10:57:43 -0700

g2 (0.49a-2) unstable; urgency=low

  * Changed Build-Depends: replaced "libgd-dev" with 
    "libgd2-dev | libgd-dev"

 -- Eric Cain <ecain@debian.org>  Sat,  6 Apr 2002 23:37:31 -0800

g2 (0.49a-1) unstable; urgency=low

  * New upstream version

 -- Eric Cain <ecain@debian.org>  Mon, 25 Mar 2002 01:31:12 -0800

g2 (0.42.20010417-1) unstable; urgency=low

  * New upstream version
  * Author switched from the GPL to the LGPL. Updated copyright file
    accordingly.

 -- Eric Cain <ecain@debian.org>  Wed, 25 Apr 2001 13:54:27 -0700

g2 (0.41b.20001201-2) unstable; urgency=low

  * Now uses libtool so all architectures can enjoy g2
  * Added Build-Depends on: autoconf, libtool, xutils
  * Changed Sections again. Put libg20 in Section libs and libg2-dev in
    Section devel to eliminate override disparity

 -- Eric Cain <ecain@debian.org>  Wed, 25 Apr 2001 10:21:02 -0800

g2 (0.41b.20001201-1) unstable; urgency=low

  * New upstream version. (latest CVS)
  * Standards-Version 3.2.1
  * Created new debian/ directory from scratch.  Closes: Bug#84817
  * Renamed and split packge from g2 to libg2 and libg2-dev
  * Moved to "Section: graphics"

 -- Eric Cain <ecain@debian.org>  Sat, 17 Mar 2001 11:01:10 -0800

g2 (0.40-2) stable; urgency=low

  * New maintainer.
  * Updated description - g2 site moved since last release.
  * Added dependency on libgd-gif1.  Closes: Bug#61124

 -- Eric Cain <ecain@debian.org>  Sun, 14 Jan 2001 23:18:08 -0800

g2 (0.40-1) unstable; urgency=low

  * New upstream

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 28 Jun 1999 17:23:52 -0700
	

g2 (0.23-4) unstable frozen; urgency=low

  * recompile with libc6 2.0.7u-6

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  3 Dec 1998 01:54:50 -0700
	

g2 (0.23-3) unstable; urgency=low

  * Add shared library
  * Fix dependency line

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  2 Oct 1998 15:35:49 -0700
	

g2 (0.23-2) unstable; urgency=low

  * Fixed copyright statement
  * compile with egcc if available

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun, 27 Sep 1998 16:28:28 -0700
	

g2 (0.23-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 27 Jul 1998 22:59:17 -0700
