=== debian/control ===
Source: g2
Section: graphics
Priority: optional
Maintainer: Eric Cain <ecain@debian.org>
Build-Depends: debhelper (>> 4.0.0), autoconf, libtool, libgd2-noxpm-dev | libgd2-xpm-dev | libgd2-dev | libgd-dev (>> 1.6.1), xutils, xlibs-dev, perl
Standards-Version: 3.6.1

Package: libg2-dev
Section: libdevel
Architecture: any
Depends: libg20 (= ${Source-Version}), libc6-dev
Description: g2 2D graphics library (development files)
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.
 .
 This package provides static library and header files for g2.

Package: libg20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: g2
Conflicts: g2
Description: g2 2D graphics library
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.

Package: libg20-perl
Section: perl
Architecture: any
Depends: libg20 (>= ${Source-Version}), ${perl:Depends}
Description: g2 2D graphics library (Perl module)
 g2 is an easy to use, portable and powerful 2D graphics library. It provides a
 comprehensive set of functions for simultaneous generation of graphical output
 to X11 and graphic formats PNG, JPEG and PostScript. g2 is written in ANSI C
 and provides Fortran and Perl interfaces.
 .
 This package provides the g2 perl module.
