=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

# Use the latest version number in the CHANGES file 
version=`head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+[A-Za-z]/)) print substr($$0,RSTART,RLENGTH)}'`
rversion=`head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+/)) print substr($$0,RSTART,RLENGTH)}'`
major=`head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+/)) print substr($$0,RSTART,RLENGTH)}'`


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	libtoolize -f -c
	autoconf
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) depend
	$(MAKE) libg2.a RVERSION=$(rversion)
	(cd ./g2_perl && perl Makefile.PL INSTALLDIRS=vendor)
	$(MAKE) -C ./g2_perl
	# clean up and build the shared lib
	-rm -f src/*.o src/*/*.o
	$(MAKE) PICFLAG="-fPIC" RVERSION=$(rversion) shared

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) RVERSION=$(rversion) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) RVERSION=$(rversion) install prefix=$(CURDIR)/debian/libg2-dev
	$(MAKE) -C ./g2_perl install PREFIX=$(CURDIR)/debian/libg20-perl/usr

	#install -D -m 644 libg2.so.$(rversion)  debian/tmp/usr/lib/libg2.so.$(rversion)

	mkdir -p debian/tmp/usr/lib

	mv debian/libg2-dev/usr/lib/libg2.so.$(rversion) debian/tmp/usr/lib/libg2.so.$(rversion)
	mv debian/libg2-dev/usr/lib/libg2.so.$(major) debian/tmp/usr/lib/libg2.so.$(major)
	ln -s libg2.so.$(rversion) debian/tmp/usr/lib/libg2.so


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	#
	# build libg2${major} package by moving files from tmp
	#
	dh_movefiles -plibg2$(major) \
	usr/lib/libg2.so.$(major)         \
	usr/lib/libg2.so.$(rversion)

	dh_movefiles -plibg2-dev \
	usr/lib/libg2.so

	#install -p -m 755 -d debian/libg2-dev/usr/share/doc/libg2$(major)

	install -m 755 -d debian/libg20-perl/usr/share/perl5/
	
	mv debian/libg20-perl/usr/lib/perl5/*.pm debian/libg20-perl/usr/share/perl5/

	dh_installchangelogs CHANGES
	
	dh_installdocs
	dh_installexamples
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
