## g2 0.61

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,14 @@
 #
 #
 
-G2_VERSION = 0.51
+G2_VERSION = 0.61
 
 #
 # g2 installation directories
 #
 LIBDIR = /usr/local/lib
 INCDIR = /usr/local/include
+
 
 #LIBDIR = $(HOME)/local/lib
 #INCDIR = $(HOME)/local/include
@@ -22,7 +23,7 @@
 SHELL = /bin/sh
 
 CC           = gcc
-CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 INSTALL      = /usr//bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 FIND         = find
@@ -48,6 +49,10 @@
 PS_SRC = $(PS_DIR)/g2_PS.c
 PS_INS = $(PS_DIR)/g2_PS.h
 
+FIG_DIR = ./src/FIG
+FIG_SRC = $(FIG_DIR)/g2_FIG.c
+FIG_INS = $(FIG_DIR)/g2_FIG.h
+
 X11_DIR = ./src/X11
 X11_SRC = $(X11_DIR)/g2_X11.c
 X11_INS = $(X11_DIR)/g2_X11.h
@@ -61,11 +66,19 @@
 GD_INS = $(GD_DIR)/g2_gd.h
 
 
-SRC = $(BASE_SRC) $(PS_SRC) $(X11_SRC) $(WIN32_SRC) $(GD_SRC)
+SRC = $(BASE_SRC) $(PS_SRC) $(FIG_SRC) $(X11_SRC) $(WIN32_SRC) $(GD_SRC)
 OBJ = $(SRC:.c=.o)
 
-INS =  $(BASE_INS) $(PS_INS) $(X11_INS) $(WIN32_INS) $(GD_INS)
+INS =  $(BASE_INS) $(PS_INS) $(FIG_INS) $(X11_INS) $(WIN32_INS) $(GD_INS)
 
+#
+# define some phony targets
+#
+.PHONY: all shared clean doc release demo
+
+#
+# major rule
+#
 .c.o:  
 	$(CC) $(CFLAGS) -c $< -o $@
 
@@ -81,8 +94,6 @@
 libg2.a: $(OBJ)
 	$(AR) $(ARFLAGS) libg2.a $(OBJ)
 	test ! -n "$(RANLIB)" || $(RANLIB) $@
-	test ! -f ./libg2.$(G2_VERSION).a || rm ./libg2.$(G2_VERSION).a
-	ln -s libg2.a libg2.$(G2_VERSION).a
 
 libg2.so.0.$(G2_VERSION): $(OBJ)
 	ld -shared -soname libg2.so.0 -o $@ $(OBJ) 
@@ -114,6 +125,8 @@
 	-(cd ./g2_perl ; make clean)
 	-rm -f ./g2_perl/test.ps
 	-rm -f ./g2_perl/test.png
+	-rm -f ./g2_perl/test.jpg
+	-rm -f ./g2_perl/test.fig
 	-rm -f ./g2_perl/Makefile.old
 	-rm -f ./libg2.so.0.$(G2_VERSION)
 	-rm -f libg2.$(G2_VERSION).a
