=== demo/Makefile ===
--- 
+++ 
@@ -24,18 +24,18 @@
 #F77 = f77 -n32
 #CPP = /lib/cpp -P -DFORTRAN
 
-CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/GD -I../src/FIG -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
-CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/FIG/ -I../src/GD -g -O2  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD -I../src/FIG -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CXXFLAGS = -I../src -I../src/X11 -I../src/PS -I../src/Win32 -I../src/GD/ -I../src/FIG -g -O2  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
 LDFLAGS = -L.. -lg2   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd
 
 DEMO_PS = simple_PS
 DEMO_FIG = simple_FIG
-DEMO_X11 = simple_X11 pointer
+DEMO_X11 = simple_X11 pointer handles
 DEMO_GD = simple_gd
 #DEMO_WIN32 = simple_win32
 
 
-DEMO = g2_test g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_FIG) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)
+DEMO = g2_test g2_arc g2_splines_demo demo_cpp $(DEMO_PS) $(DEMO_FIG) $(DEMO_X11) $(DEMO_GD) $(DEMO_WIN32)
 
 all:	$(DEMO)
 
@@ -44,6 +44,9 @@
 
 g2_test:  g2_test.c
 	$(CC) $(CFLAGS) g2_test.c $(LDFLAGS) -o $@
+
+g2_arc: g2_arc.c
+	$(CC) $(CFLAGS) g2_arc.c $(LDFLAGS) -o $@
 
 g2_splines_demo:  g2_splines_demo.c
 	$(CC) $(CFLAGS) g2_splines_demo.c $(LDFLAGS) -o $@
@@ -63,6 +66,9 @@
 pointer:  pointer.c
 	$(CC) $(CFLAGS) pointer.c $(LDFLAGS) -o $@
 
+handles: handles.c
+	$(CC) $(CFLAGS) handles.c $(LDFLAGS) -o $@
+
 simple_gd:  simple_gd.c
 	$(CC) $(CFLAGS) simple_gd.c $(LDFLAGS) -o $@
