## g2 0.72

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
-# Generated automatically from Makefile.in by configure.
 #
 #
 # Makefile for g2 library
 #
 #
 
-G2_VERSION = 0.70
+G2_VERSION = 0.72
 
 #
 # g2 installation directories
@@ -23,7 +22,7 @@
 SHELL = /bin/sh
 
 CC           = gcc
-CFLAGS       = -I./src -g -O2  -I/usr/X11R6/include -I/usr/local/include  -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_GD=1 -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 
+CFLAGS       = -I./src -O2  -I/usr/local/include -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DDO_PS=1 -DDO_FIG=1 -DDO_X11=1 -DDO_XDBE=1 -DDO_GD=1 -DDO_GIF=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 
 INSTALL      = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 FIND         = find
@@ -32,7 +31,7 @@
 ARFLAGS      = -cr
 RANLIB       = ranlib
 LD           = ld
-LDFLAGS      =   -L/usr/X11R6/lib -L/usr/local/lib -lm -lX11 -lgd
+LDFLAGS      = 
 
 
 BASE_DIR = ./src
@@ -98,6 +97,9 @@
 libg2.so.0.$(G2_VERSION): $(OBJ)
 	ld -shared -soname libg2.so.0 -o $@ $(OBJ) 
 
+libg2.so: libg2.so.0.$(G2_VERSION)
+	ln -f -s libg2.so.0.$(G2_VERSION) $@
+
 install: libg2.a
 	test -d $(LIBDIR) || mkdir -p $(LIBDIR)
 	test -d $(INCDIR) || mkdir -p $(INCDIR)
@@ -118,6 +120,7 @@
 
 clean:
 	-(cd ./demo ; make clean)
+	-(cd ./g2_python ; make clean)
 	-rm -f $(OBJ)
 	-rm -f libg2.a config.cache config.log Makefile.bak config.status
 	-rm -f ./include/*.h
