=== debian/changelog ===
g2 (0.72-7) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * build-depend on libgd-dev, not libgd2-dev
    Closes: #880550
  * Drop explicit autoreconf which is default in debhelper 10
  * DEP5
  * hardening=+all
  * DEP3

 -- Andreas Tille <tille@debian.org>  Tue, 07 Nov 2017 11:33:32 +0100

g2 (0.72-6) unstable; urgency=medium

  * Project now cloned to Github - adapt watch file (please note that
    the tarball fetched from there has a different md5sum but files are
    identical)
  * Fix homepage
  * cme fix dpkg-control
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jan 2017 14:54:29 +0100

g2 (0.72-5) unstable; urgency=medium

  * The typo in $(CURDIR) made libg2 linkage get skipped.
    The LD_RUN_PATH trick is to avoid an RPATH setting in the resulting DSO.
    Thanks for the patch to Niko Tyni <ntyni@debian.org>
    Closes: #712088

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2013 17:12:01 +0100

g2 (0.72-4) unstable; urgency=low

  * Make use of dh-autoreconf (thanks again to Samuel Thibault for
    the patch)
    Closes: #729290
  * debian/copyright: DEP5
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2013 18:13:22 +0100

g2 (0.72-3) unstable; urgency=low

  * debian/control:
    - Standards-Version: 3.9.4 (no changes needed)
    - Canonical Vcs fields
    - Get libgd2-dev dependency straight according to
      http://lists.alioth.debian.org/pipermail/debian-med-packaging/2013-May/019692.html
      also add  ${shlibs:Depends}
    - Drop libc6-dev dependency
    - cme fix dpkg-control
  * Debhelper 9 (control+compat)
  * debian/patches/series: drop patch stabelise_makefile.diff because
    it seems to originate from improper use of autotools-dev which is
    void now after using dh.
  * debian/patches/010_configure_in.diff: Add change from Samuel Thibault to the
    patch to build on HURD as well (thanks to Samuel)
    Closes: #729186
  * debian/patches/hardening.patch,debian/rules:  Propagate hardening options
    which looks OK, but lintian warning remains anyway

 -- Andreas Tille <tille@debian.org>  Sun, 10 Nov 2013 08:12:07 +0100

g2 (0.72-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't mix source format 3.0 (quilt) and manual usage of quilt:
    - Drop manual quilt calls from debian/rules;
    - Drop superfluous quilt Build-Depends.
    Closes: #643478

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Nov 2011 16:59:33 +0100

g2 (0.72-2) unstable; urgency=low

  * Took over package in Debian Med team maintenance
    because it serves as precondition for some Debian Med
    maintained packages.
    Closes: #380146
  * debian/control:
    - debhelper 7
    - Standards-Version: 3.9.1 (no changes needed)
    - Added Vcs and Homepage Fields
    - Added {misc:Depends}
  * removed debian/{*.files,*.substvars,*.preinst}
  * Moved debian examples to libg2-dev.examples and
    docs to libg2-dev.docs
  * Added README.source
  * debian/patches/fix_pod2man_errors.diff: Fix Pod2Man
    errors
  * debian/source/format: 3.0 (quilt)
  * debian/patches/fix_linker_libs.diff: Make sure libraries are
    properly linked
    Closes: #558859, #556290
  * Do not install PostScript version of the doc - PDF is sufficient
  * debian/rules:
    - do not delete upstream Makefiles and config* files in clean
      target
    - s/PREFIX/DESTDIR/ (debian-rules-makemaker-prefix-is-deprecated)
    - make real use of autotools-dev and also keep configure to be
      able to properly build twice in a row

 -- Andreas Tille <tille@debian.org>  Wed, 23 Feb 2011 07:39:12 +0100

g2 (0.72-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Add quilt patch system.
    + Move old source changes to quilt.
  * Update build-dep from xutils to xutils-dev.
  * Remove rpath with chrpath. (Closes: #389934).
    + Add build-dep on chrpath.
  * Make clean not ignore errors.
  * Replace ${Source-Version} with ${binary:Version}.
  * Set -e in maintainer scripts.
  * Update debian/copyright syntax and add missing holders.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 27 Apr 2009 12:22:34 -0400

g2 (0.70-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group.

 -- Luk Claes <luk@debian.org>  Sun, 18 Nov 2007 18:12:42 +0100

g2 (0.70-1.2) unstable; urgency=low

  * Non Maintainer Upload
  * Fix library include path for libg20-perl libraries (Closes: #356565)
    thanks Niko Tyni for the patch.
  * Allow for building the package on kfreebsd et al. (Closes: #336952)
    thanks to Aurelien Jarno for the patch.

 -- Don Armstrong <don@debian.org>  Fri, 21 Apr 2006 14:35:30 -0700

g2 (0.70-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #346693).
    
 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 22 Jan 2006 02:05:58 +0100

g2 (0.70-1) unstable; urgency=low

  * New upstream version 

 -- Eric Cain <ecain@debian.org>  Fri, 23 Sep 2005 20:20:20 -0700

g2 (0.61-1) unstable; urgency=low

  * New upstream version
  * Inadvertently removed "-fPIC" in previous version.
    Restored. (Closes: Bug#243499)

 -- Eric Cain <ecain@debian.org>  Thu,  8 Jul 2004 23:12:36 -0700
