=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for libg2
# Author: Andreas Tille <tille@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkglib=libg20
pkgdev=libg2-dev

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# Compile with -fPIC on all platforms
#override_dh_auto_configure:
#        dh_auto_configure -- CFLAGS="$(dpkg-buildflags --get CFLAGS) -fPIC" FFLAGS="$(dpkg-buildflags --get FFLAGS) -fPIC"

# Use the latest version number in the CHANGES file 
version:=$(shell head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+[A-Za-z]/)) print substr($$0,RSTART,RLENGTH)}')
rversion:=$(shell head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+\.[0-9]+/)) print substr($$0,RSTART,RLENGTH)}')
major:=$(shell head -n 1 CHANGES | \
 awk '{if (match($$0,/^[0-9]+/)) print substr($$0,RSTART,RLENGTH)}')

override_dh_auto_clean:
	dh_auto_clean
	rm -f libg*.a lib*.so.0

override_dh_auto_build:
	$(MAKE) depend
	$(MAKE) libg2.a DEBCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	# clean up and build the shared lib
	-rm -f src/*.o src/*/*.o
	$(MAKE) PICFLAG="-fPIC" RVERSION=$(rversion) MVERSION=$(major) DEBCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" shared
	(cd ./g2_perl && perl Makefile.PL INSTALLDIRS=vendor LIBS="-L$(CURDIR) -lg2")
	$(MAKE) -C ./g2_perl LD_RUN_PATH=""

override_dh_auto_install:
	$(MAKE) RVERSION=$(rversion) MVERSION=$(major) install prefix=$(CURDIR)/debian/libg2-dev
	mv $(CURDIR)/debian/$(pkgdev)/usr/lib/lib*.so.0* $(CURDIR)/debian/$(pkglib)/usr/lib
	$(MAKE) -C ./g2_perl install DESTDIR=$(CURDIR)/debian/libg2$(major)-perl
