=== debian/watch ===
version=4

https://github.com/danielrmeyer/g2/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
